package contract

import (
	"context"

	"google.golang.org/grpc"
)

// DefaultClientStub provides default client stub as well as statically ensures stub is synchronized with external API
var DefaultClientStub ContractServiceClient = StubContractServiceClient{}

// StubContractServiceClient provides stub implementation of grpc client for testing purposes
type StubContractServiceClient struct {
}

// Create stub
func (stub StubContractServiceClient) Create(
	ctx context.Context,
	in *CreateRequest,
	opts ...grpc.CallOption,
) (*CreateResponse, error) {
	return nil, nil
}

// Update stub
func (stub StubContractServiceClient) Update(
	ctx context.Context,
	in *UpdateRequest,
	opts ...grpc.CallOption,
) (*UpdateResponse, error) {
	return nil, nil
}

// Edit stub
func (stub StubContractServiceClient) Edit(
	ctx context.Context,
	in *EditRequest,
	opts ...grpc.CallOption,
) (*EditResponse, error) {
	return nil, nil
}

// History stub
func (stub StubContractServiceClient) History(
	ctx context.Context,
	in *HistoryRequest,
	opts ...grpc.CallOption,
) (*HistoryResponse, error) {
	return nil, nil
}

// List stub
func (stub StubContractServiceClient) List(
	ctx context.Context,
	in *ListRequest,
	opts ...grpc.CallOption,
) (*ListResponse, error) {
	return nil, nil
}

// Delete stub
func (stub StubContractServiceClient) Delete(
	ctx context.Context,
	in *DeleteRequest,
	opts ...grpc.CallOption,
) (*DeleteResponse, error) {
	return nil, nil
}

// Render stub
func (stub StubContractServiceClient) Render(
	ctx context.Context,
	in *RenderRequest,
	opts ...grpc.CallOption,
) (*RenderResponse, error) {
	return nil, nil
}
