package model

import "time"

// Revision represents certain revision of contents of a document
type Revision struct {
	ID         uint64    `db:"id"`
	ContractID uint64    `db:"contract_id"`
	CreatedAt  time.Time `db:"created_at"`
	Text       string    `db:"text"`
}

// Contract represents template of some legal document stored in hierarchy
type Contract struct {
	ID           uint64    `db:"id"`
	Parent       uint64    `db:"parent"`
	CreatedAt    time.Time `db:"created_at"`
	UpdatedAt    time.Time `db:"updated_at"`
	Name         string    `db:"name"`
	Description  string    `db:"description"`
	LastRevision uint64    `db:"last_revision"`
	Deleted      bool      `db:"deleted"`
}
