CREATE SEQUENCE revisions_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

create table revisions (
  id bigint not null primary key default nextval('revisions_id_seq'),
  contract_id bigint,
  created_at timestamp,
  text text
);

-- noinspection SqlNoDataSourceInspection

CREATE SEQUENCE contracts_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

create table contracts (
  id bigint not null primary key default nextval('contracts_id_seq'),
  parent bigint,
  created_at timestamp,
  updated_at timestamp,
  name text,
  description text,
  last_revision bigint,
  deleted boolean
);

CREATE SEQUENCE invoice_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

create table invoices (
  id bigint not null primary key default nextval('invoice_id_seq'),
  created_at timestamp,
  updated_at timestamp,
  payment text,
  type int,
  offerId text,
  userId text
);

alter table contracts add constraint contracts_parent_fkey foreign key (parent) references contracts(id);
alter table contracts add constraint contracts_last_revision_fkey foreign key (last_revision) references revisions(id);
alter table revisions add constraint revisions_contract_id_fkey foreign key (contract_id) references contracts(id);