package model

import "context"

// DefaultRepositoryStub provides noop stub instance for repository as well as statically ensuring interface compliance
var DefaultRepositoryStub Repository = StubRepository{}

// StubRepository provides noop repository implementation for use in tests
type StubRepository struct {
}

// Migrate stub
func (stub StubRepository) Migrate() error {
	return nil
}

// ContractGet stub
func (stub StubRepository) ContractGet(ctx context.Context, id uint64) (*Contract, error) {
	return nil, nil
}

// ContractCreate stub
func (stub StubRepository) ContractCreate(ctx context.Context, contract *Contract) error {
	return nil
}

// ContractUpdate stub
func (stub StubRepository) ContractUpdate(ctx context.Context, contract *Contract) error {
	return nil
}

// ContractDelete stub
func (stub StubRepository) ContractDelete(ctx context.Context, id uint64, force bool) error {
	return nil
}

// ContractRevision stub
func (stub StubRepository) ContractRevision(ctx context.Context, id uint64, text string) (*Contract, error) {
	return nil, nil
}

// ContractList stub
func (stub StubRepository) ContractList(ctx context.Context, parentID uint64, deleted bool) ([]*Contract, error) {
	return nil, nil
}

// RevisionList stub
func (stub StubRepository) RevisionList(ctx context.Context, contractID uint64) ([]*Revision, error) {
	return nil, nil
}

// RevisionLoad stub
func (stub StubRepository) RevisionLoad(ctx context.Context, id uint64) (*Revision, error) {
	return nil, nil
}
