package service

import (
	"strconv"

	contract "gitlab.mashroom.com/mashroom/backend/contract/api"
	"gitlab.mashroom.com/mashroom/backend/contract/internal/model"
)

func (srv *serverImpl) renderContract(m *model.Contract) *contract.ContractInfo {
	return &contract.ContractInfo{
		ParentId:     strconv.FormatUint(m.Parent, 10),
		Id:           strconv.FormatUint(m.ID, 10),
		TimeCreated:  m.CreatedAt.Unix(),
		TimeUpdated:  m.UpdatedAt.Unix(),
		Name:         m.Name,
		Description:  m.Description,
		LastRevision: strconv.FormatUint(m.LastRevision, 10),
		Deleted:      m.Deleted,
	}
}

func (srv *serverImpl) renderRevision(m *model.Revision) *contract.ContractRevision {
	return &contract.ContractRevision{
		RevisionId:    strconv.FormatUint(m.ID, 10),
		TimeCommitted: m.CreatedAt.Unix(),
		Text:          m.Text,
	}
}
